osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | List of all members
osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc > Struct Template Reference

`#include <hash_map.h>`

Inheritance diagram for osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >:
[legend]
Collaboration diagram for osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >:
[legend]

## Public Types
typedef boost::unordered_map < Key, Value, HashFun, EqualKey, Alloc > | base_t

## Public Member Functions
| hash_map ()
| hash_map (size_t s)
| ~hash_map ()

## Detailed Description

### template<class Key, class Value, class HashFun = osl::stl::hash<Key>, class EqualKey = std::equal_to<Key>, class Alloc = pool_allocator<std::pair<const Key, Value> >>
struct osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >

Definition at line 45 of file hash_map.h.

## Member Typedef Documentation

template<class Key, class Value, class HashFun = osl::stl::hash<Key>, class EqualKey = std::equal_to<Key>, class Alloc = pool_allocator<std::pair<const Key, Value> >>

typedef boost::unordered_map<Key, Value, HashFun, EqualKey, Alloc> osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >::base_t

Definition at line 49 of file hash_map.h.

## Constructor & Destructor Documentation

template<class Key, class Value, class HashFun = osl::stl::hash<Key>, class EqualKey = std::equal_to<Key>, class Alloc = pool_allocator<std::pair<const Key, Value> >>

osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >::hash_map | ( | ) |  |
| inline

Definition at line 50 of file hash_map.h.

template<class Key, class Value, class HashFun = osl::stl::hash<Key>, class EqualKey = std::equal_to<Key>, class Alloc = pool_allocator<std::pair<const Key, Value> >>

osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >::hash_map | ( | size_t | s) |  |
| inline

Definition at line 51 of file hash_map.h.

template<class Key , class Value , class HashFun , class EqualKey , class Alloc >

osl::stl::hash_map< Key, Value, HashFun, EqualKey, Alloc >::~hash_map | ( | ) |  |

Definition at line 57 of file hash_map.h.

The documentation for this struct was generated from the following file:

- hash_map.h